Class Specialization
Chained
Splits a large file into a chain of smaller files.

File

Chained

File<Chained<FileSize, TFile> >
Include Headers
seqan/file.h
Parameters

FileSize | The maximal split file size in byte. Default: 2^31-1 (~2GB)
TFile | Underlying File type. Default: File<>, see File.

Remarks
This file type uses a chain of TFile files, whose file sizes are at most FileSize bytes. Chained Files should be used for file systems or TFile types that don't support large files (e.g. FAT32, C-style FILE*).
The chain can be used as if it were one contiguous file.
Specialization of
File
Functions

asyncReadAt | Asynchronously loads records from a specific position in a file. (File)
asyncWriteAt | Asynchronously saves records to a specific position in a file. (File)
cancel | Cancels an asynchronous request. (File)
close | Closes a file. (File)
flush | Waits for all open requests to complete. (File)
open | Opens a file. (File)
openTemp | Opens a temporary file. (File)
read | Loads records from a file. (File)
readAt | Loads records from a specific position in a file. (File)
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value. (File)
rewind | Sets the current file pointer to the beginning. (File)
seek | Changes the current file pointer. (File)
setEof | Sets the file end to the current pointer. (File)
size | Gets the file size. (File)
tell | Gets the current file pointer. (File)
write | Saves records to a file. (File)
writeAt | Saves records to a specific position in a file. (File)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51